.. _api:

API Reference
=============

.. _httpretty:

register_uri
------------

.. automethod:: httpretty.core.httpretty.register_uri
   :noindex:

enable
------

.. automethod:: httpretty.core.httpretty.enable
   :noindex:

disable
-------

.. automethod:: httpretty.core.httpretty.disable
   :noindex:

is_enabled
----------

.. automethod:: httpretty.core.httpretty.is_enabled
   :noindex:

last_request
------------

.. autofunction:: httpretty.last_request
   :noindex:

latest_requests
---------------

.. autofunction:: httpretty.latest_requests
   :noindex:


.. automodule:: httpretty

.. _activate:

activate
--------

.. autoclass:: httpretty.activate
   :members:
   :noindex:


.. _httprettified:

httprettified
-------------

.. autofunction:: httpretty.core.httprettified
   :noindex:


.. _enabled:

enabled
-------

.. autoclass:: httpretty.enabled
   :members:
   :noindex:


.. _httprettized:

httprettized
------------

.. autoclass:: httpretty.core.httprettized
   :members:
   :noindex:



.. _HTTPrettyRequest:

HTTPrettyRequest
----------------

.. autoclass:: httpretty.core.HTTPrettyRequest
   :members:
   :noindex:


.. _HTTPrettyRequestEmpty:

HTTPrettyRequestEmpty
---------------------

.. autoclass:: httpretty.core.HTTPrettyRequestEmpty
   :members:
   :noindex:

.. _FakeSockFile:

FakeSockFile
------------

.. autoclass:: httpretty.core.FakeSockFile
   :members:
   :noindex:


.. _FakeSSLSocket:

FakeSSLSocket
-------------

.. autoclass:: httpretty.core.FakeSSLSocket
   :members:
   :noindex:


.. _URIInfo:

URIInfo
-------

.. autoclass:: httpretty.URIInfo
   :members:
   :noindex:


.. _URIMatcher:

URIMatcher
----------

.. autoclass:: httpretty.URIMatcher
   :members:
   :noindex:


.. _Entry:

Entry
-----

.. autoclass:: httpretty.Entry
   :members:
   :noindex:


.. _api modules:

Modules
=======

.. _api module core:

Core
----

.. automodule:: httpretty.core
   :members:

.. _api module http:

Http
----

.. automodule:: httpretty.http
   :members:

.. _api module utils:

Utils
-----

.. automodule:: httpretty.utils
   :members:

.. _api module exceptions:

Exceptions
----------

.. automodule:: httpretty.errors
   :members:
